
//***********************************************************************<NP>
function DTMess_english (mess_nr)
  switch mess_nr
     case 1     : return (" exited with return state ")
     case 2     : return (" -----  Start of Translation  ----- ")
     case 3     : return (" -----  End   of Translation  ----- ")
     case 4     : return (" -----  End   of iges_in.aql  ----- ")
     case 5     : return (" -----  End   of dxf_in.aql   ----- ")
     case 6     : return (" Parameter not a boolean type (true or false expected)")
     case 7     : return (" set to false")
     case 8     : return ("Value ( < 65735 ) for limiting unlimited lines")
     case 9     : return ("%Invalid value. It has to be a number between 0 and 65735%")
     case 10    : return (" created ")
     case 11    : return (" -----  End   of dwg_in.aql   ----- ")
     case 20    : return (" not found ")
     case 30    : return ("you choosed the file ")
     case 31    : return ("which doesn't exist")
     case 32    : return ("should i create a default config file for you ?")
     case 50    : return (" creating input-file for Datatranslator (IGES)")
     case 51    : return (" Datatranslator (IGES) running ")
     case 52    : return (" Datatranslator (IGES) finished ")
     case 53    : return (" creating input file for Datatranslator (DXF)")
     case 54    : return (" Datatranslator (DXF) running ")
     case 55    : return (" Datatranslator (DXF) finished ")
     case 56    : return (" creating input file for Datatranslator (DWG)")
     case 57    : return (" Datatranslator (DWG) running ")
     case 58    : return (" Datatranslator (DWG) finished ")
     case 70    : return (" converting to DXF")
     case 71    : return (" objects written to ")
     case 72    : return (" table file dxftable not found ")
     case 75    : return ("The type (")
     case 76    : return (") is not supported yet.")
     case 77    : return ("%%It will not be found in your DXF-file")
     case 80    : return ("Prepare output (clipping), please wait ...")
     case 90    : return (" Only top-level world allowed")
     case 99    : return (" not created ")
     // Titels for windows, buttons, etc
     case 150   : return ("DWG/DXF config editor")
     case 160   : return ("text editor")
     case 161   : return ("config editor")
     case 162   : return ("arrange colors ...")
     case 165   : return ("Linestyle :")
     case 166   : return ("Layer :")
     case 167   : return ("Layer Colornumber :")
     case 168   : return ("EUKLID Design-Linestyle :")
     case 171   : return ("Transfer EUKLID Design-layer to ACAD-Layer")
     case 172   : return ("Config layer depending on linestyles as follows :")
     case 173   : return ("Solid line :")
     case 174   : return ("Dashed line :")
     case 175   : return ("Dashdotted line :")
     case 176   : return ("Text :")
     case 177   : return ("Measures :")
     case 178   : return ("Hatches :")
     case 179   : return ("Contour :")
     case 180   : return ("Drawing frame :")
     case 181   : return ("Symbols :")
     case 182   : return ("filled Hatches :")
     case 183   : return ("Assignment EUKLID Design-colornumber")
     case 184   : return ("to AutoCAD-colornumber")
     case 185   : return ("RGB-values used for\ncolornumber : ")
     case 186   : return ("RGB-values of all available\nEUKLID Design colornumbers : ")
     case 187   : return ("available AutoCAD-colornumbers : ")
     case 188   : return ("(this assignment is only valid if you have changed the color of elements)")
     case 189   : return ("filled Hatches, hidden : ")
     // Messages used in classic version
     case 200   : return ("Using DATA-Translator with EUKLID Design-Classic%requires following switch in the config-file%%IGES_OBDV v3x")
     case 201   : return ("Using DATA-Translator with EUKLID Design-Classic%requires following switch in the config-file%%DXF_OBDV v3x")
     // Messages come form DATA-Translator
     case 513   : return ("unable to open protocol file")
     case 514   : return ("unable to open IGES file")
     case 515   : return ("wrong start-section")
     case 516   : return ("wrong global-section")
     case 517   : return ("unable to load assignment tables")
     case 518   : return ("empty DXF file")
     case 519   : return ("empty IGES file")
     case 521   : return ("unable to open temporary file")
     case 522   : return ("error during generation of DE/PD section")
     case 523   : return ("unable to create start-section")
     case 524   : return ("unable to create IGES file")
     case 531   : return ("unable to open temporary file")
     case 532   : return ("Error in DE-Section")
     case 533   : return ("Error in PD-Section")
     case 534   : return ("empty PD-Section")
     case 535   : return ("Error reported from cee100")
     case 536   : return ("no more storage available")
     case 537   : return ("unable to create output file")
     case 538   : return ("file is no DXF file")
     case 539   : return ("no Terminate-Section in IGES-file")
     case 700   : return ("no write access to TEMP directory ")
     case 701   : return ("working directory will be used")
     case 702   : return ("Converting cancelled")
     case 703   : return ("no write access to file ")
     case 991   : return ("Sorry, write IGES-file is not allowed in batch mode")
     case 992   : return ("Sorry, write DXF-file is not allowed in batch mode")
     case 993   : return ("Sorry, write DWG-file is not allowed in batch mode")
     case 998   : return ("no license to use Data Translator with DWG-fileformat")
     case 999   : return ("no license to use Data Translator")
     otherwise  : return (" error "+string(mess_nr))
  end
end

//***********************************************************************<NP>
function DTMess_deutsch (mess_nr)
  switch mess_nr
     case 1     : return (" beendet mit Fehler ")
     case 2     : return (" -----  Beginn der Umsetzung    ----- ")
     case 3     : return (" -----  Ende   der Umsetzung    ----- ")
     case 4     : return (" -----  Ende   von iges_in.aql  ----- ")
     case 5     : return (" -----  Ende   von dxf_in.aql   ----- ")
     case 6     : return (" Parameter nicht vom Typ 'boolean' ('true' oder 'false' erwarted)")
     case 7     : return (" auf 'false' gesetzt")
     case 8     : return ("Lnge ( < 65735 ) um unendliche Linien zu begrenzen")
     case 9     : return ("%Falscher Wert. Die Zahl mu zwischen 0 und 65735 liegen.%")
     case 10    : return (" erzeugt ")
     case 11    : return (" -----  Ende   von dwg_in.aql   ----- ")
     case 20    : return (" nicht gefunden ")
     case 30    : return ("Die ausgewhlte Datei ")
     case 31    : return ("ist nicht vorhanden")
     case 32    : return ("soll eine Default-Datei fr Sie angelegt werden ?")
     case 50    : return (" Erzeugen der Eingabedatei fuer den Datatranslator (IGES)")
     case 51    : return (" Datatranslator (IGES) luft ")
     case 52    : return (" Datatranslator (IGES) beendet ")
     case 53    : return (" Erzeugen der Eingabedatei fuer den Datatranslator (DXF)")
     case 54    : return (" Datatranslator (DXF) luft ")
     case 55    : return (" Datatranslator (DXF) beendet ")
     case 56    : return (" Erzeugen der Eingabedatei fuer den Datatranslator (DWG)")
     case 57    : return (" Datatranslator (DWG) luft ")
     case 58    : return (" Datatranslator (DWG) beendet ")
     case 70    : return (" Umsetzen nach DXF")
     case 71    : return (" Objekte geschrieben auf ")
     case 72    : return (" Zuordnungstabelle 'dxftable' nicht gefunden ")
     case 75    : return ("Der Typ (")
     case 76    : return (") ist noch nicht implementiert.")
     case 77    : return ("%%Er wird nicht in die DXF-Datei ausgegeben")
     case 80    : return ("Vorbereiten der Grafikausgabe (verschneiden), bitte warten ...")
     case 90    : return (" Temporres Auflsen leider nicht mglich")
     case 99    : return (" nicht erzeugt ")
     // Titel fr Fenster, buttons, etc
     case 150   : return ("DWG/DXF Konfigurationseditor")
     case 160   : return ("Text Editor")
     case 161   : return ("Konfig Editor")
     case 162   : return ("Farbzuordnung berarbeiten ...")
     case 165   : return ("Linienart :")
     case 166   : return ("Layerbezeichnung :")
     case 167   : return ("Farbnummer des Layers :")
     case 168   : return ("EUKLID Design-Linienart :")
     case 171   : return ("EUKLID Design-Layer als AutoCAD-Layer bertragen")
     case 172   : return ("Layerkonfiguration nach Linienart wie folgt :")
     case 173   : return ("Vollinie :")
     case 174   : return ("strichlierte Linie :")
     case 175   : return ("strichpunktierte Linie :")
     case 176   : return ("Text :")
     case 177   : return ("Mae :")
     case 178   : return ("Flchen :")
     case 179   : return ("Konturen :")
     case 180   : return ("Zeichnungsrahmen :")
     case 181   : return ("Symbole :")
     case 182   : return ("gefllte Flchen :")
     case 183   : return ("Zuordnung der EUKLID Design-Farbnummern")
     case 184   : return ("zu Autocad-Farbnummern")
     case 185   : return ("RGB-Werte fr die\nFarbnummer : ")
     case 186   : return ("RGB-Werte der verfgbaren\nEUKLID Design Farbnummern : ")
     case 187   : return ("Verfgbare AutoCAD-Farbnummern : ")
     case 188   : return ("(Diese Zuordnung wird nur verwendet, wenn Sie den Elementen explizit eine Farbe zugewiesen haben)")
     case 189   : return ("Ausblendflchen : ")
     // Messages used in classic version
     case 200   : return ("Die Verwendung des DATA-Translator unter EUKLID Design-Classic%setzt folgenden Schalter in der Config-Datei voraus :%%IGES_OBDV v3x")
     case 201   : return ("Die Verwendung des DATA-Translator unter EUKLID Design-Classic%setzt folgenden Schalter in der Config-Datei voraus :%%DXF_OBDV v3x")
     // Messages come form DATA-Translator
     case 513   : return ("Protokolldatei konnte nicht geffnet werden")
     case 514   : return ("IGES-Datei konnte nicht geffnet werden")
     case 515   : return ("Fehlerhafte Start-Section")
     case 516   : return ("Fehlerhafte Global-Section")
     case 517   : return ("Zuordnungstabellen konnten nicht geladen werden")
     case 518   : return ("Leere DXF-Datei")
     case 519   : return ("Leere IGES-Datei")
     case 521   : return ("temporre Datei konnte nicht geffnet werden")
     case 522   : return ("Fehler beim Erzeugen der DE/PD-Section")
     case 523   : return ("Start-Section konnte nicht erzeugt werden")
     case 524   : return ("IGES-Datei konnte nicht erzeugt werden")
     case 531   : return ("temporre Datei konnte nicht geffnet werden")
     case 532   : return ("DE-Section-Fehler")
     case 533   : return ("PD-Section-Fehler")
     case 534   : return ("Leere PD-Section")
     case 535   : return ("Fehler aus cee100")
     case 536   : return ("kein Speicherplatz verfgbar")
     case 537   : return ("Ausgabedatei konnte nicht erffnet werden")
     case 538   : return ("Datei ist keine DXF-Datei")
     case 539   : return ("keine Terminate-Section in der IGES-Datei")
     case 700   : return ("kein Schreibzugriff auf das TEMP Verzeichnis ")
     case 701   : return ("Es wird das Arbeitsverzeichnis verwendet")
     case 702   : return ("Umsetzung abgebrochen")
     case 703   : return ("Kein Schreibzugriff auf die Datei ")
     case 991   : return ("Leider ist das Erzeugen von IGES-Dateien im Batch-Modus nicht zulssig")
     case 992   : return ("Leider ist das Erzeugen von DXF-Dateien im Batch-Modus nicht zulssig")
     case 993   : return ("Leider ist das Erzeugen von DWG-Dateien im Batch-Modus nicht zulssig")
     case 998   : return ("Keine Lizenz fr die Verwendung des Data Translators mit dem DWG-Dateiformat")
     case 999   : return ("Keine Lizenz fr die Verwendung des Data Translators")
     otherwise  : return (" Fehler "+string(mess_nr))
  end
end

//***********************************************************************<NP>
function DTMess_russian (mess_nr)
  switch mess_nr
     case 1     : return ("    ")
     case 2     : return (" -----      ----- ")
     case 3     : return (" -----       ----- ")
     case 4     : return (" -----   iges_in.aql   ----- ")
     case 5     : return (" -----   dxf_in.aql    ----- ")
     case 6     : return ("    ()  ( true  false)")
     case 7     : return ("   false")
     case 8     : return (" ( < 65735 )    ")
     case 9     : return ("% .    0  65735.%")
     case 10    : return ("  ")
     case 11    : return (" -----  End   of dwg_in.aql   ----- ")
     case 20    : return (" -   ")
     case 30    : return ("you choosed the file ")
     case 31    : return ("which doesn't exist")
     case 32    : return ("should i create a default config file for you ?")
     case 50    : return (" creating input-file for Datatranslator (IGES)")
     case 51    : return (" Datatranslator (IGES) running ")
     case 52    : return (" Datatranslator (IGES) finished ")
     case 53    : return (" creating input file for Datatranslator (DXF)")
     case 54    : return (" Datatranslator (DXF) running ")
     case 55    : return (" Datatranslator (DXF) finished ")
     case 56    : return (" creating input file for Datatranslator (DWG)")
     case 57    : return (" Datatranslator (DWG) running ")
     case 58    : return (" Datatranslator (DWG) finished ")
     case 70    : return ("   DXF")
     case 71    : return ("    ")
     case 72    : return ("    dxftable   ")
     case 75    : return (" (")
     case 76    : return (")   .")
     case 77    : return ("%%     DXF-")
     case 80    : return ("Prepare output (clipping), please wait ...")
     case 90    : return ("  ,  , ")
     case 99    : return ("   ")
     // Titels for windows, buttons, etc
     case 150   : return ("DWG/DXF config editor")
     case 160   : return ("text editor")
     case 161   : return ("config editor")
     case 162   : return ("arrange colors ...")
     case 165   : return ("Linestyle :")
     case 166   : return ("Layer :")
     case 167   : return ("Layer Colornumber :")
     case 168   : return ("EUKLID Design-Linestyle :")
     case 171   : return ("Transfer EUKLID Design-layer to AutoCAD-Layer")
     case 172   : return ("Config layer depending on linestyles as follows :")
     case 173   : return ("Solid line")
     case 174   : return ("Dashed line")
     case 175   : return ("Dashdotted line")
     case 176   : return ("Text")
     case 177   : return ("Measures")
     case 178   : return ("Hatches")
     case 179   : return ("Contour")
     case 180   : return ("Drawing frame")
     case 181   : return ("Symbols")
     case 182   : return ("filled Hatches :")
     case 183   : return ("Assignment EUKLID Design-colornumber")
     case 184   : return ("to AutoCAD-colornumber")
     case 185   : return ("RGB-values used for\ncolornumber : ")
     case 186   : return ("RGB-values of all available\nEUKLID Design colornumbers : ")
     case 187   : return ("available AutoCAD-colornumbers : ")
     case 188   : return ("(this assignment is only valid if you have changed the color of elements)")
     case 189   : return ("filled Hatches, hidden : ")
     // Messages used in classic version
     case 200   : return ("Using DATA-Translator with EUKLID Design-Classic%requires following switch in the config-file%%IGES_OBDV v3x")
     case 201   : return ("Using DATA-Translator with EUKLID Design-Classic%requires following switch in the config-file%%DXF_OBDV v3x")
     // Messages come form DATA-Translator
     case 513   : return ("   ")
     case 514   : return ("  IGES-")
     case 515   : return (" Start-")
     case 516   : return (" Global-")
     case 517   : return ("   ")
     case 518   : return (" DXF-")
     case 519   : return (" IGES-")
     case 521   : return ("   ")
     case 522   : return ("   DE/PD-")
     case 523   : return ("  Start-")
     case 524   : return ("  IGES-")
     case 531   : return ("   ")
     case 532   : return ("  DE-")
     case 533   : return ("  PD-")
     case 534   : return (" PD-")
     case 535   : return ("    cee100")
     case 536   : return ("  ")
     case 537   : return ("    ")
     case 538   : return ("   DXF-")
     case 539   : return (" IGES-   ")
     case 700   : return ("      TEMP ")
     case 701   : return ("   ")
     case 702   : return (" ")
     case 703   : return ("      ")
     case 991   : return ("Sorry, write IGES-file is not allowed in batch mode")
     case 992   : return ("Sorry, write DXF-file is not allowed in batch mode")
     case 993   : return ("Sorry, write DWG-file is not allowed in batch mode")
     case 998   : return ("no license to use Data Translator with DWG-fileformat")
     case 999   : return ("     (Data Translator) ")
     otherwise  : return ("  "+string(mess_nr))
  end
end

//***********************************************************************<NP>
function DTMess_espanol (mess_nr)
  switch mess_nr
     case 1     : return (" terminado con error ")
     case 2     : return (" -----  Comienzo de la transformacion    ----- ")
     case 3     : return (" -----  Fin de la transformacion    ----- ")
     case 4     : return (" -----  Fin    de  iges_in.aql  ----- ")
     case 5     : return (" -----  Fin    de dxf_in.aql   ----- ")
     case 6     : return (" Parametro no es del tipo boolean  (se espera verdadero o falso)")
     case 7     : return (" puesta en falso")
     case 8     : return ("Longitud ( < 65735 ) para limitar infinitas lineas")
     case 9     : return ("%Valor erroneo. El numero debe estar entre 0 y 65735.%")
     case 10    : return (" generado ")
     case 11    : return (" -----  Fin   de dwg_in.aql   ----- ")
     case 20    : return (" no encontrado ")
     case 30    : return ("you choosed the file ")
     case 31    : return ("which doesn't exist")
     case 32    : return ("should i create a default config file for you ?")
     case 50    : return (" creating input-file for Datatranslator (IGES)")
     case 51    : return (" Datatranslator (IGES) running ")
     case 52    : return (" Datatranslator (IGES) finished ")
     case 53    : return (" creating input file for Datatranslator (DXF)")
     case 54    : return (" Datatranslator (DXF) running ")
     case 55    : return (" Datatranslator (DXF) finished ")
     case 56    : return (" creating input file for Datatranslator (DWG)")
     case 57    : return (" Datatranslator (DWG) running ")
     case 58    : return (" Datatranslator (DWG) finished ")
     case 70    : return (" Transformar a DXF")
     case 71    : return (" Objetos escritos en ")
     case 72    : return (" Tablas de correspondencia dxf no encontrada ")
     case 75    : return (" El tipo (")
     case 76    : return (") Todavia no ha sido implementado.")
     case 77    : return ("%%No saldra en archivos DXF")
     case 80    : return ("Prepare output (clipping), please wait ...")
     case 90    : return (" No es posible una disolucion temporal")
     case 99    : return (" no generado ")
     // Titels for windows, buttons, etc
     case 150   : return ("DWG/DXF config editor")
     case 160   : return ("text editor")
     case 161   : return ("config editor")
     case 162   : return ("arrange colors ...")
     case 165   : return ("Linestyle :")
     case 166   : return ("Layer :")
     case 167   : return ("Layer Colornumber :")
     case 168   : return ("EUKLID Design-Linestyle :")
     case 171   : return ("Transfer EUKLID Design-layer to AutoCAD-Layer")
     case 172   : return ("Config layer depending on linestyles as follows :")
     case 173   : return ("Solid line")
     case 174   : return ("Dashed line")
     case 175   : return ("Dashdotted line")
     case 176   : return ("Text")
     case 177   : return ("Measures")
     case 178   : return ("Hatches")
     case 179   : return ("Contour")
     case 180   : return ("Drawing frame")
     case 181   : return ("Symbols")
     case 182   : return ("filled Hatches :")
     case 183   : return ("Assignment EUKLID Design-colornumber")
     case 184   : return ("to AutoCAD-colornumber")
     case 185   : return ("RGB-values used for\ncolornumber : ")
     case 186   : return ("RGB-values of all available\nEUKLID Design colornumbers : ")
     case 187   : return ("available AutoCAD-colornumbers : ")
     case 188   : return ("(this assignment is only valid if you have changed the color of elements)")
     case 189   : return ("filled Hatches, hidden : ")
     // Messages used in classic version
     case 200   : return ("Using DATA-Translator with EUKLID Design-Classic%requires following switch in the config-file%%IGES_OBDV v3x")
     case 201   : return ("Using DATA-Translator with EUKLID Design-Classic%requires following switch in the config-file%%DXF_OBDV v3x")
     // Messages come form DATA-Translator
     case 513   : return ("No se pudo abrir el archivo de protocolo")
     case 514   : return ("No se pudo abrir el archivo IGES")
     case 515   : return ("Seccion de arranque defectuosa")
     case 516   : return ("Seccion global defectuosa")
     case 517   : return ("No se han podido cargar tablas de correspondencia")
     case 518   : return ("Archivo DXF vacio")
     case 519   : return ("Archivo IGES vacio")
     case 521   : return ("No pudo abrirse el archivo temporal")
     case 522   : return ("Error en la generacion de la seccion DE/PD")
     case 523   : return ("No pudo generarse la seccion de arranque")
     case 524   : return ("No pudo generarse el archivo IGES")
     case 531   : return ("No pudo abrirse el fichero temporal")
     case 532   : return ("Error en la seccion DE")
     case 533   : return ("Error en la seccion PD")
     case 534   : return ("Seccion PD vacia")
     case 535   : return ("Error de cee100")
     case 536   : return ("No hay espacio en la memoria")
     case 537   : return ("No se pudo abrir el fichero de salida")
     case 538   : return ("El archivo no es un archivo DXF")
     case 700   : return ("No hay acceso de escritura al directorio TEMP")
     case 701   : return ("Se utiliza el directorio de trabajo")
     case 702   : return ("Transformacion interrumpida")
     case 703   : return ("No hay acceso de escritura al archivo")
     case 991   : return ("Sorry, write IGES-file is not allowed in batch mode")
     case 992   : return ("Sorry, write DXF-file is not allowed in batch mode")
     case 993   : return ("Sorry, write DWG-file is not allowed in batch mode")
     case 998   : return ("no license to use Data Translator with DWG-fileformat")
     case 999   : return ("No hay licencia para utilizar el traductor de datos")
     otherwise  : return (" Error "+string(mess_nr))
  end
end

//***********************************************************************<NP>
function DTMess (mess_nr)
  if valid (DTMessLanguage) then
     language = DTMessLanguage
  else
     language = program.language
  end
  switch language
    case "english"  : return(DTMess_english (mess_nr))
    case "deutsch"  : return(DTMess_deutsch (mess_nr))
    case "russian"  : return(DTMess_russian (mess_nr))
    case "espanol"  : return(DTMess_espanol (mess_nr))
    otherwise       : return(DTMess_english (mess_nr))
  end
end